Name: syfi
Version: 0.6.1
Release: alt3.hg20090831
Summary: Symbolic Finite Elements (SyFi) and The SyFi Form Compiler (SFC)
License: GPL v2
Group: Sciences/Mathematics
Url: http://www.fenics.org/
Packager: Eugeny A. Rostovtsev (REAL) <real at altlinux.org>

Source: http://www.fenics.org/pub/software/syfi/v0.6/syfi-0.6.1.tar.gz

Requires: lib%name = %version-%release
Requires: python-module-sfc = %version-%release

BuildPreReq: python-devel
BuildPreReq: scons swig libginac-devel python-module-swiginac ufc-devel ufl
BuildPreReq: gcc-c++ python-module-numpy
BuildPreReq: tetex-latex ghostscript-utils doxygen

%description
SyFi is a package for defining finite element methods. In contrast to most other
finite element packages, the finite elements, the weak forms etc are defined
symbolically.

The SyFi Form Compiler (SFC) is a Python module for compiling variational forms
written using UFL to C++ code implementing the UFC interface.

%package -n lib%name
Summary: Shared library of Symbolic Finite Elements (SyFi)
Group: System/Libraries

%description -n lib%name
SyFi is a package for defining finite element methods. In contrast to most other
finite element packages, the finite elements, the weak forms etc are defined
symbolically.

This package contains shared library of SyFi.

%package -n lib%name-devel
Summary: Development files of Symbolic Finite Elements (SyFi)
Group: Development/C++
Requires: lib%name = %version-%release
Requires: python-module-numpy
# temporary provide for bootstrap
Provides: pkgconfig(python-2)

%description -n lib%name-devel
SyFi is a package for defining finite element methods. In contrast to most other
finite element packages, the finite elements, the weak forms etc are defined
symbolically.

This package contains shared library of SyFi.

%package -n python-module-%name
Summary: Python module of Symbolic Finite Elements (SyFi)
Group: Development/Python
Requires: lib%name = %version-%release

%description -n python-module-%name
SyFi is a package for defining finite element methods. In contrast to most other
finite element packages, the finite elements, the weak forms etc are defined
symbolically.

This package contains Python module of SyFi.

%package -n sfc
Summary: The SyFi Form Compiler (SFC)
Group: Development/Python
Requires: python-module-sfc = %version-%release

%description -n sfc
The SyFi Form Compiler (SFC) is a Python module for compiling variational forms
written using UFL to C++ code implementing the UFC interface.

%package -n python-module-sfc
Summary: Python module of the SyFi Form Compiler (SFC)
Group: Development/Python
Requires: lib%name = %version-%release
Requires: python-module-%name = %version-%release
# skip requires for bootstrap
#add_python_req_skip dolfin_utils

%description -n python-module-sfc
The SyFi Form Compiler (SFC) is a Python module for compiling variational forms
written using UFL to C++ code implementing the UFC interface.

%package doc
Summary: Documentation for Symbolic Finite Elements and SyFi Form Compiler
Group: System/Libraries
BuildArch: noarch

%description doc
SyFi is a package for defining finite element methods. In contrast to most other
finite element packages, the finite elements, the weak forms etc are defined
symbolically.

This package contains documentation for SyFi and SFC.

%prep
%setup

%build
sed -i 's|@PYVER@|%__python_version|g' \
	scons/simula-scons/simula_scons/pkgconfiggenerators/python.py \
	scons/simula-scons/simula_scons/_module.py \
	syfi/scons.cfg.in \
	syfi/SConscript
scons
pushd doc/reference
./makedoc.sh
mv html reference
popd

%install
scons install prefix=%buildroot%prefix

pushd doc
cp -fR papers presentations reference/reference %buildroot%_docdir/%name/
popd

%ifarch x86_64
mv %buildroot%_libexecdir/* %buildroot%_libdir/
%endif

%files
%doc README AUTHORS ChangeLog COPYING TODO

%files -n lib%name
%_libdir/*.so.*

%files -n lib%name-devel
%_libdir/*.so
%_includedir/*
%_pkgconfigdir/%name.pc

%files -n python-module-%name
%python_sitelibdir/*SyFi*

%files doc
%doc %_docdir/%name

%files -n sfc
%_bindir/*
%_man1dir/*

%files -n python-module-sfc
%python_sitelibdir/sfc

%changelog
* Mon Aug 31 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.6.1-alt3.hg20090831
- Snapshot 20090831

* Tue Aug 25 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.6.1-alt3.hg20090822.2
- Disabled provides pkgconfig(python-2)
- Enabled requirement on dolfin_utils

* Sun Aug 23 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.6.1-alt3.hg20090822.1
- Changed requirement: pkgconfig(python-2) -> pkgconfig(python%%__python_version)
- Temporary porvides pkgconfig(python-2) for bootstrap

* Sat Aug 22 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.6.1-alt3.hg20090822
- New snapshot

* Wed Jul 15 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.6.1-alt2
- Added previously skipped requirement

* Thu Jul 09 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.6.1-alt1
- Bootstrap
